summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/amanda/amanda.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/amanda/amanda.SlackBuild b/system/amanda/amanda.SlackBuild
index c9d1196728..0255df3a0c 100644
--- a/system/amanda/amanda.SlackBuild
+++ b/system/amanda/amanda.SlackBuild
@@ -104,12 +104,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
chown -R root:root $PKG/usr/man
find $PKG/usr/man -type f -exec gzip -9 {} \;